/* 
 *  spell.rexx spell checks a word using ISpell in ARexx server mode
 *  Requires ISpell version 2.1ljr with ARexx Server mode.
 *  Started: 11/7/89
 *  Last Update: LJR  Sun Jun 03 21:29:40 1990
 *
 *  Copyright (C) 1989,1990  Loren J. Rittle
 *  Use as you will, just document your changes and keep my copyright
 *  notice intact.
 */
parse arg item cmdline
options results
if item = "" then do
	say "Usage: spell word1 word2 ..."
	exit
end
if pos('IRexxSpell',(show(ports))) = 0 then do
	'runback ispell -r >null: <null:'
	waitforport 'IRexxSpell'
end
address 'IRexxSpell' check item
r = result
r1 = substr(r,1,1)
select
	when r1 = '*' then nop
	when r1 = '&' then 
		if words(r) = 2 then 
			say "The word '"||item||"' is not found. Try this word:" substr(r,3)		
		else
			say "The word '"||item||"' is not found. Try these words:" substr(r,3)
	when r1 = '#' then say "Nothing even close to '"||item||"' found in dictionary!"
	when r1 = '+' then say "No root word found for the word '"||item||"'. Closest root found:" substr(r,3)
	otherwise say "For the word '"||item||"' I got" r
	end
if cmdline ~= "" then call spell cmdline
exit
